%perl_module Crypt-OpenSSL-RSA 0.22 3

Summary:       RSA encoding and decoding, using the openSSL libraries.
License:       Artistic
Group:         System Environment/Libraries
URL:           http://search.cpan.org/dist/%{pkgname}/
Source:        http://search.cpan.org/CPAN/authors/id/C/CD/CDRAKE/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: openssl-devel
BuildRequires: perl(Crypt::OpenSSL::Random)
Requires: perl(Crypt::OpenSSL::Bignum)

%description
Crypt::OpenSSL::RSA is an XS perl module designed to provide basic RSA
functionality.  It does this by providing a glue to the RSA functions
in the OpenSSL library.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* Changes
%{perl_vendorarch}/Crypt/OpenSSL/RSA.pm
%{perl_vendorarch}/auto/Crypt/OpenSSL
%{perl_man3dir}/Crypt::OpenSSL::RSA.3pm*


%changelog
* Fri Sep 16 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
